package com.zanxiang.manage.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.vo.PromoChannelChoiceVO;
import com.zanxiang.manage.service.PromoChannelService;
import com.zanxiang.mybatis.entity.PromoChannel;
import com.zanxiang.mybatis.mapper.PromoChannelMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-10-31
 * @description : 推广渠道
 */
@Slf4j
@Service
public class PromoChannelServiceImpl extends ServiceImpl<PromoChannelMapper, PromoChannel> implements PromoChannelService {

    /**
     * 注册渠道选择列表查询
     *
     * @return : 返回所有注册渠道信息
     */
    @Override
    public List<PromoChannelChoiceVO> promoChannelChoiceList() {
        List<PromoChannel> promoChannelList = super.list(new LambdaQueryWrapper<PromoChannel>().
                select(PromoChannel::getId, PromoChannel::getChannel));
        return BeanUtils.copyList(promoChannelList, PromoChannelChoiceVO.class);
    }
}
